part of 'comments_cubit.dart';

sealed class CommentsState extends Equatable {
  final List<Comment> comments;

  const CommentsState({this.comments = const []});
  @override
  List<Object> get props => [comments];
}

final class CommentsInitial extends CommentsState {}

final class CommentsLoading extends CommentsState {
  const CommentsLoading({super.comments});
}

final class CommentsSuccess extends CommentsState {
  const CommentsSuccess({super.comments});
}

final class CommentsFail extends CommentsState {}
